import VuePlugin from '@vitejs/plugin-vue'
import { defineConfig } from 'vite'

export default defineConfig({
  base: './',
  build: {
    rollupOptions: {
      output: {
        manualChunks: {
          vue: ['vue', 'vue-router']
        }
      }
    }
  },
  plugins: [
    VuePlugin()
  ],
  resolve: {
    alias: {
      '@/': `./src/`
    }
  }
})
